
Foreman - Bug #5786

Adding second subnet doesn't add it in the foreman-proxy

05/19/2014 11:12 AM - Jorick Astrego

Status: Rejected   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.5.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When I try to add a second subnet, I cannot use this subnet:

ProxyAPI::ProxyException

ERF12-7947 [ProxyAPI::ProxyException]: Unable to retrieve DHCP subnet ([RestClient::ResourceNotFound]: 404 Resource Not

Found) for proxy https://foreman.xxxx.xxxx:8443/dhcp

lib/proxy_api/dhcp.rb:20:in `rescue in subnet'

lib/proxy_api/dhcp.rb:18:in `subnet'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

 In the foreman-proxy (https://foreman.xxxxxx.xxx:8443/dhcp) only the first subnet is listed and I am unable to use the second subnet..

In the logs, I see the following:

Started PUT "/subnets/2" for xx.xxx.xxx.xx at 2014-05-19 13:02:21 +0200

Processing by SubnetsController#update as /*

Parameters: {"utf8"=>"✓", "search"=>"", "authenticity_token"=>"**********************", "subnet"=>{"name"=>"iNet",

"network"=>"yyy.yyy.yy.yy", "mask"=>"255.255.255.192", "gateway"=>"zzz.zzz.zzz.zz", "dns_primary"=>"zzz.zzz.zzz.zz",

"dns_secondary"=>"zzz.zzz.zzz.zz", "from"=>"zzz.zzz.zzz.zz", "to"=>"zzz.zzz.zzz.zz", "vlanid"=>"", "domain_ids"=>["", "2", ""],

"dhcp_id"=>"1", "tftp_id"=>"1", "dns_id"=>"1"}, "id"=>"2"}

Redirected to https://foreman.xxx.xxx/subnets

Completed 302 Found in 52ms (ActiveRecord: 35.9ms)

History

#1 - 05/19/2014 11:19 AM - Dominic Cleal

- Status changed from New to Rejected

This is expected behaviour - Foreman only manages reservations on the proxy, not entire subnets.  You need to add the subnet to the DHCP server's

config and also to Foreman to associate it.

I'd suggest managing the dhcpd configuration via the puppet-dhcp module, we use it in the installer for initial configuration (

https://github.com/theforeman/puppet-dhcp).
